/* CSS autogen'd from SASS at sphinx-build time */
/* (!) Redoc requires `important!` overrides for almost everything */
/* TODO: Remove unused parts (currently mostly copied from main.css) */
/* FONT-FACES (vars !allowed) ----------------------------------------------------> */
/* Headers */
@font-face {
  font-family: 'Sharp Grotesk';
  src: url("../../fonts/sharp-grotesk/SharpGroteskMedium16.otf") format("opentype"), url("../../fonts/sharp-grotesk/SharpGroteskSmBold16.otf") format("opentype");
  font-weight: 400 500;
  /* Regular to medium hweights */
  font-style: normal; }

/* Paragraph (or light headers) */
@font-face {
  font-family: 'Graphik';
  src: url("../../fonts/Graphik/Graphik-Regular-Web.woff2") format("woff2"), url("../../fonts/Graphik/Graphik-Medium-Web.woff2") format("woff2"), url("../../fonts/Graphik/Graphik-Bold-Web.woff2") format("woff2", url("../../fonts/Graphik/Graphik-Thin-Web.woff2") format("woff2"));
  font-weight: 300 600;
  /* Thin to Bold weights */
  font-style: normal; }

/* Code */
@font-face {
  font-family: 'Source Code Pro';
  src: url("../../fonts/source-code-pro/SourceCodePro-Regular.ttf.woff2") format("woff2");
  font-weight: 400;
  /* Normal weight */
  font-style: normal; }

/* ROOT VARIABLES ----------------------------------------------------------> */
:root {
  --xsui-brand-pink-color: #ff005b !important;
  --xsui-brand-pink-color-brighter: #ffdde9 !important;
  --xsui-brand-pink-color-bright: #fcaeca !important;
  --xsui-brand-pink-color-dark: #80002e !important;
  --xsui-brand-blue-color: #0073f7 !important;
  --xsui-marine-green-action-color: #00c77e !important;
  --xsui-marine-green-dark-action-color: #006E46 !important;
  --xsui-crimson-red-color: #eb002f !important;
  --xsui-bold-orange-color: #ff8111 !important;
  --xsui-destruction-red-color: #fc2b55;
  --xsui-bluish-black-color: #00244d !important;
  --xsui-bluish-darker-black-color: #000e1e !important;
  --xsui-bluish-darker-gray-secondary-text: #747e8a !important;
  --xsui-bluish-dark-gray-disabled-text: #a0abb8 !important;
  --xsui-bluish-light-gray-borders-text: #c5d0db !important;
  --xsui-bluish-lighter-pearl-gray-table-cell: #fafbfc !important;
  --xsui-bluish-lightest-gray-white-bg: #f7faff !important;
  --xsui-start-color-gradient-bright-sky: #489dff !important;
  --xsui-start-color-gradient-coral-orange: #ff497f !important;
  --xsui-start-color-gradient-blue-violet: #ac2eff !important;
  --xsui-gradient-bright-sky: linear-gradient(90deg, var(--xsui-start-color-gradient-bright-sky), #00ffca) !important;
  --xsui-gradient-coral-orange: linear-gradient(90deg, var(--xsui-start-color-gradient-coral-orange), #fcdd40) !important;
  --xsui-gradient-blue-violet: linear-gradient(90deg, var(--xsui-start-color-gradient-blue-violet), #37b9fb) !important;
  --pst-font-family-base-system: 'Graphik', -apple-system, 'BlinkMacSystemFont', 'Segoe UI', 'Helvetica Neue', 'Arial', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol' !important;
  --pst-font-family-base-heading: 'Sharp Grotesk', 'Graphik', -apple-system, 'BlinkMacSystemFont', 'Segoe UI', 'Helvetica Neue', 'Arial', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol' !important;
  --pst-font-family-base-monospace: 'Source Code Pro', 'SFMono-Regular', 'Menlo', 'Consolas', 'Monaco', 'Liberation Mono', 'Lucida Console', monospace !important;
  --thin-font-weight: 300;
  --regular-font-weight: 400;
  --medium-font-weight: 500;
  --bold-font-weight: 600; }

/* THEME OVERRIDES ----------------------------------------------------------> */
body {
  background-color: var(--xsui-bluish-darker-black-color) !important;
  margin: 0 !important;
  padding: 0 !important; }

.redoc .api-content {
  background-color: #2E2E2E; }

/* Top-level headings - font+color */
h1, h2 {
  font-family: var(--pst-font-family-base-heading), sans-serif !important;
  color: var(--xsui-bluish-lighter-pearl-gray-table-cell) !important; }

h2 {
  color: var(--xsui-brand-pink-color) !important; }

h3, h4, h5, h6 {
  font-family: var(--pst-font-family-base-system), sans-serif !important;
  color: var(--xsui-bluish-light-gray-borders-text) !important; }

h4, h5, h6, .small-text {
  color: var(--xsui-bluish-lightest-gray-white-bg) !important; }

/* Specific Pink Text */
h2, .caption-text {
  color: #FF045A !important; }

/* The text next to the right of body "AUTHORIZATIONS" and HTTP code dropdown RESPONSE SCHEMA */
h5 span {
  color: #A0ABB8 !important; }

/* Paragraphs */
p {
  font-family: var(--pst-font-family-base-system), sans-serif !important; }

/* Body dropdowns: Fade out instead of overwhelming solid block color */
.api-content div div div div div button[disabled],
.api-content div div div div div button:has(> svg) {
  background-image: linear-gradient(160deg, transparent 0%, var(--xsui-bluish-darker-black-color) 50%) !important; }

/* Top-left search bar: Default weight is too high */
input[placeholder="Search..."] {
  font-weight: var(--normal-font-weight) !important;
  font-size: 12px !important; }

/* Left bar - http method labels, parent captions, and child category links */
li[role="menuitem"] {
  /* Rectangular, colored HTTP method labels and all header+text+dropdown+link labels */
  font-family: var(--pst-font-family-base-system), sans-serif !important;
  /* Clickable inner child category links nested under parent dropdown categories */ }
  li[role="menuitem"] label {
    /* Top-level readonly captions; eg: "ACCOUNTS" */
    color: var(--xsui-brand-pink-color) !important;
    font-weight: var(--medium-font-weight) !important;
    opacity: 1;
    /* Clickable parent dropdown categories */ }
    li[role="menuitem"] li[role="menuitem"] label {
      font-family: 'Graphik', sans-serif !important;
      color: white !important;
      padding: 5px 20px !important;
      margin-left: 3px !important; }
  li[role="menuitem"] ul li label span[tabindex="0"] {
    color: white !important;
    font-weight: var(--regular-font-weight) !important; }

/* Code blocks */
code, pre {
  font-family: var(--pst-font-family-base-monospace), sans-serif !important;
  font-weight: var(--regular-font-weight) !important;
  background-color: var(--xsui-bluish-darker-black-color) !important; }

/* MAIN COLOR THEME -------------------------------------------------------- */
/* Image adjustments */
img {
  border-radius: 0 !important;
  margin-bottom: 1.15rem !important; }

/* Link hover - eg, the top "Download" btn */
a:hover {
  color: white; }

/* RIGHT COLUMN TABS -------------------------------------------------------- */
li[role="tab"] {
  padding: inherit !important;
  border: none !important; }

.react-tabs__tab--selected {
  background-color: #006E46;
  background: linear-gradient(175deg, #00c77e, #006E46) !important;
  transition: background-color .1s ease-in-out, border-color .1s ease-in-out, color .1s ease-in-out, opacity .1s ease-in-out, box-shadow .1s ease-in-out !important;
  /* Tab appearance */
  border-bottom-right-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
  padding-bottom: 0 !important; }
  .react-tabs__tab--selected.tab-success {
    background: var(--xsui-marine-green-dark-action-color) linear-gradient(175deg, #00c77e, var(--xsui-marine-green-dark-action-color)) !important; }
  .react-tabs__tab--selected.tab-error {
    background: var(--xsui-destruction-red-color) linear-gradient(175deg, #ff6a7d, var(--xsui-destruction-red-color)) !important; }
  .react-tabs__tab--selected:hover, .react-tabs__tab--selected.tab-error:hover, .react-tabs__tab--selected.tab-success:hover {
    pointer-events: auto !important;
    cursor: default !important;
    background-color: inherit !important;
    border-color: transparent !important;
    box-shadow: none !important; }

/* Right column HTTP verb dropdown */
.api-content div[aria-hidden="false"] {
  /* Outer */
  /* Inner */ }
  .api-content div[aria-hidden="false"] div {
    background-color: black !important; }
  .api-content div[aria-hidden="false"] > div {
    background: linear-gradient(350deg, black 0%, #00244d 100%) !important; }

/* Right column change the "application/json" to a consistent font */
.react-tabs__tab-panel div div div:first-of-type {
  font-family: inherit !important; }

.react-tabs__tab-panel div div div:first-of-type * {
  font-family: unset; }

/* Change the anchor link svg icon from black to white to show on dark theme */
h2 > a::before {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZlcnNpb249IjEuMSIgeD0iMCIgeT0iMCIgd2lkdGg9IjUxMiIgaGVpZ2h0PSI1MTIiIHZpZXdCb3g9IjAgMCA1MTIgNTEyIiBlbmFibGUtYmFja2dyb3VuZD0ibmV3IDAgMCA1MTIgNTEyIiB4bWw6c3BhY2U9InByZXNlcnZlIj48cGF0aCBmaWxsPSIjRkZGRkZGIiBkPSJNNDU5LjcgMjMzLjRsLTkwLjUgOTAuNWMtNTAgNTAtMTMxIDUwLTE4MSAwIC03LjktNy44LTE0LTE2LjctMTkuNC0yNS44bDQyLjEtNDIuMWMyLTIgNC41LTMuMiA2LjgtNC41IDIuOSA5LjkgOCAxOS4zIDE1LjggMjcuMiAyNSAyNSA2NS42IDI0LjkgOTAuNSAwbDkwLjUtOTAuNWMyNS0yNSAyNS02NS42IDAtOTAuNSAtMjQuOS0yNS02NS41LTI1LTkwLjUgMGwtMzIuMiAzMi4yYy0yNi4xLTEwLjItNTQuMi0xMi45LTgxLjYtOC45bDY4LjYtNjguNmM1MC01MCAxMzEtNTAgMTgxIDBDNTA5LjYgMTAyLjMgNTA5LjYgMTgzLjQgNDU5LjcgMjMzLjR6TTIyMC4zIDM4Mi4ybC0zMi4yIDMyLjJjLTI1IDI0LjktNjUuNiAyNC45LTkwLjUgMCAtMjUtMjUtMjUtNjUuNiAwLTkwLjVsOTAuNS05MC41YzI1LTI1IDY1LjUtMjUgOTAuNSAwIDcuOCA3LjggMTIuOSAxNy4yIDE1LjggMjcuMSAyLjQtMS40IDQuOC0yLjUgNi44LTQuNWw0Mi4xLTQyYy01LjQtOS4yLTExLjYtMTgtMTkuNC0yNS44IC01MC01MC0xMzEtNTAtMTgxIDBsLTkwLjUgOTAuNWMtNTAgNTAtNTAgMTMxIDAgMTgxIDUwIDUwIDEzMSA1MCAxODEgMGw2OC42LTY4LjZDMjc0LjYgMzk1LjEgMjQ2LjQgMzkyLjMgMjIwLjMgMzgyLjJ6Ii8+PC9zdmc+Cg==") !important; }
